# Tarfile created using git
# git clone git://gitorious.org/meego-netbook-ux/meego-panel-status.git
# git archive --format=tar --prefix=meego-panel-status-%{version}/ %{version} | bzip2 > %{name}-%{version}.tar.bz2
%define tarfile %{name}-%{version}.tar.bz2

Name:          meego-panel-status
Version:       0.3.2
Release:       2%{?dist}
Summary:       Meego Panel for Social Network Status

Group:         User Interface/Desktops
License:       LGPLv2+
URL:           http://www.meego.com
Source0:       %{tarfile}

BuildRequires: clutter-devel
BuildRequires: clutter-gtk010-devel
BuildRequires: dbus-glib-devel
BuildRequires: GConf2-devel
BuildRequires: geoclue-devel
BuildRequires: gtk2-devel
BuildRequires: libchamplain-devel
BuildRequires: libmx-devel
BuildRequires: libsocialweb-devel
BuildRequires: mutter-meego-devel
BuildRequires: telepathy-glib-devel
BuildRequires: intltool

# Require these because the git tarball doesn't have the configure built
BuildRequires: libtool
BuildRequires: gnome-common

Provides: moblin-panel-status = %{version}
Obsoletes: moblin-panel-status < 0.1.22

%description
The Meego panel for managing of social networks and your current status.
This includes tweeting on twitter and updating of MySpace, FaceBook and you IM 
status.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with %{name}.

%prep
%setup -q

# Fix version of champlain and clutter-gtk
sed -i 's#champlain-0.4#champlain-0.8#' configure.ac 

# run autogen.sh until we have a proper release, but don't run configure twice.
NOCONFIGURE=true ./autogen.sh

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot} INSTALL='install -p'

%find_lang %{name}

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING
%{_libexecdir}/meego-panel-status
%{_libdir}/libmeego-panel-status.so.*
%{_datadir}/dbus-1/services/com.meego.UX.Shell.Panels.status.service
%{_datadir}/%{name}
%{_datadir}/mutter-meego/panels/meego-panel-status.desktop

%files devel
%defattr(-,root,root,-)
%{_libdir}/libmeego-panel-status.so
%{_libdir}/pkgconfig/meego-panel-status.pc
%{_includedir}/%{name}

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 31 2011 Peter Robinson <pbrobinson@gmail.com> 0.3.2-1
- New upstream 0.3.2 release

* Fri Jan 14 2011 Peter Robinson <pbrobinson@gmail.com> 0.2.6-2
- Rebuild for new evo

* Wed Dec  8 2010 Peter Robinson <pbrobinson@gmail.com> 0.2.6-1
- New upstream 0.2.6 release

* Wed Nov 10 2010 Peter Robinson <pbrobinson@gmail.com> 0.2.4-2
- add missing provides/obsolete

* Mon Sep 27 2010 Peter Robinson <pbrobinson@gmail.com> 0.2.4-1
- New upstream 0.2.4 release
- Rename package from moblin to meego

* Wed Jul 14 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.21-5
- Patch to fix the build

* Tue Jul  6 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.21-4
- Rebuild against new libchamplain

* Mon Jul  5 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.21-3
- Rebuild against new libmx

* Fri Jun 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.21-2
- Add new dependencies

* Fri Jun 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.21-1
- New upstream 0.1.21 release

* Sun Apr 18 2010 Peter Robinson <pbrobinson@gmail.com> 0.0.10-2
- Bump build

* Tue Nov 17 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.10-1
- New upstream 0.0.10 release

* Fri Oct  2 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.7-1
- New upstream 0.0.7 release

* Wed Sep 30 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.6-1
- New upstream 0.0.6 release, drop upstreamed MC5 patches

* Tue Sep 29 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.5-4
- Add new clutter-gtk dep

* Tue Sep 29 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.5-3
- Add new telepathy-glib dep

* Mon Sep 28 2009 Bastien Nocera <bnocera@redhat.com> 0.0.5-2
- Add patch for new Mission Control support

* Sun Sep 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.5-1
- New upstream 0.0.5 release

* Thu Sep  3 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.4-1
- New upstream 0.0.4 release

* Wed Aug 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.3-1
- Initial packaging
